# Reflection::export

(PHP 5, PHP 7)

Reflection::export — Exports

### Description

public static Reflection::export ( Reflector `$reflector` [, bool `$return` = `FALSE` ] ) : string

Exports a reflection.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`reflector`

  The reflection to export.

`return`

  Setting to `TRUE` will return the export, as opposed to emitting it. Setting to `FALSE` (the default) will do the opposite.

### Return Values

If the `return` parameter is set to `TRUE`, then the export is returned as a string, otherwise `NULL` is returned.

### See Also

- Reflection::getModifierNames() - Gets modifier names